Bug 882183 - python-virtinst: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
python-virtinst: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale....
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-30 06:02 EST by Kay Sievers
Modified: 2013-10-02 12:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 12:35:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2012-11-30 06:02:34 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
 util.py KEYBOARD_DIR = "/etc/sysconfig/keyboard"

Please update the package for the new config files.

The old files are converted and deleted from the system at update time.
If reading the old files is still supported, please make sure they are
never created again.

Thanks!
Comment 1 Cole Robinson 2012-12-16 17:09:58 EST
Moving to the upstream tracker: this code path is very rarely touched nowadays, is resilient against failure, and isn't critical functionality anyways.
Comment 2 Cole Robinson 2013-04-21 15:12:27 EDT
virtinst has been merged into virt-manager.git. Moving all virtinst bugs to the virt-manager component.
Comment 3 Cole Robinson 2013-10-02 12:35:47 EDT
Fixed upstream now

Note You need to log in before you can comment on or make changes to this bug.